Subject: Re: bug#27698: Guile takes over system +rant

From: Mark H Weaver <[email-masked]>
Date: Sat, 15 Jul 2017 14:52:52 -0400

Ster Chess <[email-masked]> writes:

> I'm sorry if this has already been suggested as a bug, but I couldn't
> find it in the bug tracker.  If I create a simple recursive factorial
> function, and choose huge values for it, Guile will happily do my
> bidding and take all the system resources and my whole system becomes
> unusable. This should never happen.

If you want to limit the stack size within Guile, see
'call-with-stack-overflow-handler', described here:

  https://www.gnu.org/software/guile/manual/html_node/Stack-Overflow.html

      Mark